Table of Contents

## Name

glGetTexEnvfv, glGetTexEnviv - return texture environment parameters

## C Specification

void glGetTexEnvfv( GLenum target,

        GLenum pname,
        GLfloat *params )

void glGetTexEnviv( GLenum target,

        GLenum pname,
        GLint *params )

## Parameters

target
  Specifies a texture environment. Must be GL_TEXTURE_ENV.
pname
  Specifies the symbolic name of a texture environment parameter. Accepted values are GL_TEXTURE_ENV_MODE and GL_TEXTURE_ENV_COLOR.
params
  Returns the requested data.

## Description

glGetTexEnv returns in params selected values of a texture environment that was specified with glTexEnv. target specifies a texture environment. Currently, only one texture environment is defined and supported: GL_TEXTURE_ENV.

pname names a specific texture environment parameter, as follows:

GL_TEXTURE_ENV_MODE
  params returns the single-valued texture environment mode, a symbolic constant. The initial value is GL_MODULATE.
GL_TEXTURE_ENV_COLOR
  params returns four integer or floating-point values that are the texture environment color. Integer values, when requested, are linearly mapped from the internal floating-point representation such that 1.0 maps to the most positive representable integer, and -1.0 maps to the most negative representable integer. The initial value is (0, 0, 0, 0).

## Notes

If an error is generated, no change is made to the contents of params.

When the GL_ARB_multitexture extension is supported, glGetTexEnv returns the texture environment parameters for the active texture unit.

## Errors

GL_INVALID_ENUM is generated if target or pname is not an accepted value.

GL_INVALID_OPERATION is generated if glGetTexEnv is executed between the execution of glBegin and the corresponding execution of glEnd.

## See Also

glActiveTextureARB(3G) , glTexEnv(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- See Also